Index: /trunk/debian/rules
===================================================================
--- /trunk/debian/rules	(revision 23888)
+++ /trunk/debian/rules	(revision 23889)
@@ -256,4 +256,5 @@
 	sed \
 	    -e 's|%NOLSB%|$(if $(filter _Debian_sarge ucs1.3,$(debrel)),yes,)|g' \
+	    -e 's|%DEBIAN%|yes|g' \
 	    -e 's|%PACKAGE%|virtualbox|g' \
 	    src/VBox/Installer/linux/vboxdrv.sh.in > debian/vboxdrv.init
Index: /trunk/src/VBox/Installer/linux/Makefile.kmk
===================================================================
--- /trunk/src/VBox/Installer/linux/Makefile.kmk	(revision 23888)
+++ /trunk/src/VBox/Installer/linux/Makefile.kmk	(revision 23889)
@@ -287,4 +287,5 @@
 	$(QUIET)$(SED_EXT) \
 		-e "s|%NOLSB%|yes|g" \
+		-e "s|%DEBIAN%||g" \
 		-e "s|%PACKAGE%|virtualbox|g" \
 		--output $@ \
Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23888)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23889)
@@ -36,4 +36,5 @@
 LOG="/var/log/vbox-install.log"
 NOLSB=%NOLSB%
+DEBIAN=%DEBIAN%
 
 [ -f /lib/lsb/init-functions ] || NOLSB=yes
@@ -50,8 +51,9 @@
     BUILDVBOXNETFLT="/usr/share/%PACKAGE%/src/vboxnetflt/build_in_tmp"
     BUILDVBOXNETADP="/usr/share/%PACKAGE%/src/vboxnetadp/build_in_tmp"
-    # silently exit if the package was uninstalled but not purged,
-    # applies to Debian packages only
-    [ -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 fi
+
+# silently exit if the package was uninstalled but not purged,
+# applies to Debian packages only
+[ -n "$DEBIAN" -a -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 
 if [ -n "$NOLSB" ]; then
